
%define name    harfbuzz
%define version 1.2.7
%define release %mkrel 1

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: OpenType text shaping engine
Name:    %{name}
Version: %{version}
Release: %{release}
License: Old MIT
Group:   System/Libraries
Source:  http://www.freedesktop.org/software/harfbuzz/release/%{name}-%{version}.tar.xz
URL:     http://www.freedesktop.org/wiki/Software/HarfBuzz
#-----------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}graphite2-devel 
BuildRequires: %{_lib}icu-devel
#-----------------------------------
BuildRoot:	%_tmppath/%name-%version-root


%description
HarfBuzz is an OpenType text shaping engine.
There are two HarfBuzz code trees in existence today.

%package -n %{libname}
Summary: Libraries for the %{name} package
Group:   Development/Libraries

%description -n %{libname}
Libraries for %{name}

%package -n %{libnamedev}
Summary:  Headers and development libraries from %{name}
Group:    Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name} development headers and libraries.

%prep
%setup -qn %name-%version
%apply_patches

%build
%configure2_5x --disable-static --with-graphite2 

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

rm -rf %{buildroot}/%{_datadir}/gtk-doc

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%defattr(-, root, root)
%doc AUTHORS README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%defattr(-, root, root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%posttrans
/sbin/ldconfig


%changelog
* Tue Nov 08 2016 adrianomorselli <adrianomorselli> 1.2.7-1uplos2016
- rebuild

* Sat May 14 2016 bb <bb> 1.2.7-1pclos2016
- update

* Tue Apr 26 2016 bb <bb> 1.1.3-4pclos2016
- rebuild for new icu

* Sun Jan 31 2016 bb <bb> 1.1.3-3pclos2016
- add a posttran to force run ldconfig

* Fri Jan 29 2016 bb <bb> 1.1.3-2pclos2016
- back down to 1.1.0 for LibreOffice fix


